
import 'package:flutter/material.dart';
import 'package:keyboard_avoider/keyboard_avoider.dart';

class TestPage extends StatelessWidget {
  final ScrollController _scrollController = ScrollController();

  @override
  Widget build(BuildContext context) {
    return Scaffold(
      resizeToAvoidBottomInset: false,
      body: Container(
        width: double.infinity,
        height: double.infinity,
        child: SingleChildScrollView(
          child: Column(
            children: [
              Container(
                height: 700,
                  color: Colors.blueAccent
              ),
              Container(
                height: 50,
                color: Colors.amber,
                child: TextField(

                ),
              ),
              Container(
                height: 300,
                color: Colors.redAccent,
              )
            ],
          ),
        ),
      ),
    );
  }
}